Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002384 [Piwigo] other minor have not tried 2011.07.22 15:03 2011.07.29 23:02
Reporter rvelices View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.3.0beta3 Product Version 2.2.4
  Target Version 2.3.0beta3 Product Build
Summary 0002384: Improve average rating calculation
Description Replace the too simple average rate with a bayesian average.

See discussion:
http://piwigo.org/forum/viewtopic.php?id=17858 [^]
See:
http://en.wikipedia.org/wiki/Bayesian_average [^]
http://blog.linkibol.com/2010/05/07/how-to-build-a-popularity-algorithm-you-can-be-proud-of/ [^]
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005362)
svn (reporter)
2011.07.25 20:04

[Subversion] r11827 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2384: improve average rating calculation (still need to update language files)
(0005363)
svn (reporter)
2011.07.25 20:07

[Subversion] r11829 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2384: improve average rating calculation (still need to update language files)
(0005366)
svn (reporter)
2011.07.26 21:04

[Subversion] r11839 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2384: improve average rating calculation (final)

- Issue History
Date Modified Username Field Change
2011.07.22 15:03 rvelices New Issue
2011.07.22 15:03 rvelices Status new => assigned
2011.07.22 15:03 rvelices Assigned To => rvelices
2011.07.22 15:03 rvelices browser => any
2011.07.22 15:03 rvelices Web server => Apache 1.3.x
2011.07.25 20:04 svn Checkin
2011.07.25 20:04 svn Note Added: 0005362
2011.07.25 20:07 svn Checkin
2011.07.25 20:07 svn Note Added: 0005363
2011.07.26 21:04 svn Checkin
2011.07.26 21:04 svn Note Added: 0005366
2011.07.28 20:06 rvelices Status assigned => closed
2011.07.28 20:06 rvelices Resolution open => fixed
2011.07.29 23:02 plg Fixed in Version => 2.3.0beta3


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker